Skip to main content

Query binding relationship

POST /v2/profile/get_bind_info​

This interface allows the game to obtain a list of third-party channel accounts that are bound to the Player Network SDK OpenID.

Request parameters​

For the query parameters for interface calls, see Query Parameters.

ParametersTypeDescriptionNote
openidstringPlayer Network SDK user identificationRequired
tokenstringPlayer Network SDK user tokenRequired

Request sample​

curl -sS -X POST -H 'Content-Type: application/json' 'https://test.intlgame.com/v2/profile/get_bind_info?channelid=4&gameid=11&os=1&sdk_version=2.0&seq=&source=0&ts=1583488081&sig=d0dabe16fb5241bbcd84517aa4e2f670' -d '{"openid":"17059603775778004866","token":"d1b16777eeaf0fd06ab20600a433821cc656c81b"}'

Response parameters​

ParametersTypeDescription
retintReturn code
0: Success
Others: Failure
msgstringDetailed information of the result
bind_listarrayList of bound channel accounts

The bind_list array contains accounts bound to the channel, each account has the following parameters:

ParametersTypeDescription
channelidintChannel number
user_namestringUsername
picture_urlstringAvatar URL
openidstringPlayer Network SDK user identification

Return Sample​

{
"seq": "1583488081-0268717065-028958-0000000026",
"bind_list": [
{
"channel_info": {
"phone": "xxxxxxxxxx",
"phonearea": "xx",
"email": ""
},
"picture_url": "",
"user_name": "xx-xxxxxxxxxx",
"channelid": 11,
"is_primary": 0
},
{
"channel_info": {},
"picture_url": "https://graph.facebook.com/v3.0/1071441666368496/picture?width=160&height=160",
"user_name": "",
"channelid": 4,
"is_primary": 0
},
{
"channel_info": {
"phone": "xxxxxxxxxx",
"phonearea": "86",
"email": ""
},
"picture_url": "",
"user_name": "xx-xxxxxxxxxx",
"channelid": 7,
"is_primary": 1
}
],
"msg": "success",
"ret": 0
}